Share via


Connectors - Update

Update a Storage Connector.

PATCH https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Storage/storageAccounts/{accountName}/connectors/{connectorName}?api-version=2025-08-01

URI Parameters

Name In Required Type Description
accountName
path True

string

minLength: 3
maxLength: 24
pattern: ^[a-z0-9]+$

The name of the storage account within the specified resource group. Storage account names must be between 3 and 24 characters in length and use numbers and lower-case letters only.

connectorName
path True

string

minLength: 3
maxLength: 63
pattern: ^[a-z0-9](?!.*--)[a-z0-9-]{1,61}[a-z0-9]$

The name of the Storage Connector.

resourceGroupName
path True

string

minLength: 1
maxLength: 90

The name of the resource group. The name is case insensitive.

subscriptionId
path True

string (uuid)

The ID of the target subscription. The value must be an UUID.

api-version
query True

string

minLength: 1

The API version to use for this operation.

Request Body

Name Type Description
properties

StorageConnectorPropertiesUpdate

The properties of the Storage Connector.

tags

object

Resource tags.

Responses

Name Type Description
200 OK

Connector

Azure operation completed successfully.

202 Accepted

Resource update request accepted.

Headers

  • Location: string
  • Retry-After: integer
Other Status Codes

ErrorResponse

An unexpected error response.

Security

azure_auth

Azure Active Directory OAuth2 Flow.

Type: oauth2
Flow: implicit
Authorization URL: https://login.microsoftonline.com/common/oauth2/authorize

Scopes

Name Description
user_impersonation impersonate your user account

Examples

UpdateConnector

Sample request

PATCH https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/testrg/providers/Microsoft.Storage/storageAccounts/teststorageaccount/connectors/testconnector?api-version=2025-08-01

{
  "properties": {
    "source": {
      "type": "DataShare",
      "authProperties": {
        "type": "ManagedIdentity",
        "identityResourceId": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/testrg/providers/Microsoft.ManagedIdentity/userAssignedIdentities/newTestIdentity"
      }
    }
  }
}

Sample response

{
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/testrg/providers/Microsoft.Storage/storageAccounts/teststorageaccount/connectors/testconnector",
  "name": "testconnector",
  "type": "Microsoft.Storage/storageAccounts/connectors",
  "location": "eastus",
  "properties": {
    "uniqueId": "12345678-1234-1234-1234-12345678912",
    "state": "Active",
    "creationTime": "2023-04-01T00:00:00Z",
    "description": "Example connector",
    "dataSourceType": "Azure_DataShare",
    "source": {
      "type": "DataShare",
      "connection": {
        "type": "DataShare",
        "dataShareUri": "azds://eastus:datashare1:12345678-1234-1234-1234-123456789123"
      },
      "authProperties": {
        "type": "ManagedIdentity",
        "identityResourceId": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/testrg/providers/Microsoft.ManagedIdentity/userAssignedIdentities/newTestIdentity"
      }
    },
    "provisioningState": "Succeeded"
  }
}
Location: https://management.azure.com/subscriptions/xxxx/resourceGroups/rg-name/providers/Microsoft.Storage/operations/operation-98765
Retry-After: 30

Definitions

Name Description
Connector

A Connector is a tracked ARM resource modeled as a sub-resource of a Storage Account.

ConnectorUpdate

A Connector is a tracked ARM resource modeled as a sub-resource of a Storage Account.

createdByType

The type of identity that created the resource.

DataShareConnection

The connection details for Data Share source

DataShareSource

The properties of data share source

DataShareSourceUpdate

The properties of data share source

ErrorResponse

An error response from the storage resource provider.

ErrorResponseBody

Error response body contract.

ManagedIdentityAuthProperties

The managed identity auth properties for dataShare connection.

ManagedIdentityAuthPropertiesUpdate

The managed identity auth properties for dataShare connection.

NativeDataSharingProvisioningState

Provisioning state of the resource at the time the operation was called.

StorageConnectorAuthType

The auth type supported for bucket connection in storage connector.

StorageConnectorConnectionType

The connection type for bucket connection in storage connector.

StorageConnectorDataSourceType

The type of the backing data source for storage connector

StorageConnectorProperties

The storage connector properties

StorageConnectorPropertiesUpdate

The storage connector properties

StorageConnectorSourceType

The type of the backing data source for storage connector

StorageConnectorState

State - Active or Inactive. Whether or not the Storage Connector should start as active (default: Active) (While set to false on the Storage Connector, all data plane requests using this Storage Connector fail, and this Storage Connector is not billed if it would be otherwise.

systemData

Metadata pertaining to creation and last modification of the resource.

Connector

A Connector is a tracked ARM resource modeled as a sub-resource of a Storage Account.

Name Type Description
id

string (arm-id)

Fully qualified resource ID for the resource. E.g. "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}"

location

string

The geo-location where the resource lives

name

string

The name of the resource

properties

StorageConnectorProperties

The properties of the Storage Connector.

systemData

systemData

Azure Resource Manager metadata containing createdBy and modifiedBy information.

tags

object

Resource tags.

type

string

The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts"

ConnectorUpdate

A Connector is a tracked ARM resource modeled as a sub-resource of a Storage Account.

Name Type Description
id

string (arm-id)

Fully qualified resource ID for the resource. E.g. "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}"

name

string

The name of the resource

properties

StorageConnectorPropertiesUpdate

The properties of the Storage Connector.

systemData

systemData

Azure Resource Manager metadata containing createdBy and modifiedBy information.

tags

object

Resource tags.

type

string

The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts"

createdByType

The type of identity that created the resource.

Value Description
User
Application
ManagedIdentity
Key

DataShareConnection

The connection details for Data Share source

Name Type Description
dataShareUri

string

pattern: ^azds://[a-zA-Z0-9-]+:[a-zA-Z0-9-_]+:[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$

The URI of the backing DataShare. Must be in the format: azds://<region>:<DataShareName>:<DataShareIdentifier>

type string:

DataShare

Type of the connection. Controls the type of the connection object. Not mutable once the Storage Connector is created.

DataShareSource

The properties of data share source

Name Type Description
authProperties StorageConnectorAuthProperties:

ManagedIdentityAuthProperties

Details for how to authenticate to the backing data store.

connection StorageConnectorConnection:

DataShareConnection

Details for how to connect to the backing data store.

type string:

DataShare

Type of the Storage Connector. Not mutable once the Storage Connector is created."

DataShareSourceUpdate

The properties of data share source

Name Type Description
authProperties StorageConnectorAuthPropertiesUpdate:

ManagedIdentityAuthPropertiesUpdate

Details for how to authenticate to the backing data store.

type string:

DataShare

Type of the Storage Connector. Not mutable once the Storage Connector is created."

ErrorResponse

An error response from the storage resource provider.

Name Type Description
error

ErrorResponseBody

Azure Storage Resource Provider error response body.

ErrorResponseBody

Error response body contract.

Name Type Description
code

string

An identifier for the error. Codes are invariant and are intended to be consumed programmatically.

message

string

A message describing the error, intended to be suitable for display in a user interface.

ManagedIdentityAuthProperties

The managed identity auth properties for dataShare connection.

Name Type Description
identityResourceId

string

ARM ResourceId of the managed identity that should be used to authenticate to the backing data source.

type string:

ManagedIdentity

Type of the authentication properties. Controls the type of the authProperties object

ManagedIdentityAuthPropertiesUpdate

The managed identity auth properties for dataShare connection.

Name Type Description
identityResourceId

string

ARM ResourceId of the managed identity that should be used to authenticate to the backing data source.

type string:

ManagedIdentity

Type of the authentication properties. Controls the type of the authProperties object

NativeDataSharingProvisioningState

Provisioning state of the resource at the time the operation was called.

Value Description
Accepted

The request has been accepted for processing.

Creating

The resource is being created.

Succeeded

The resource has been successfully created.

Deleting

The resource is being deleted.

Canceled

The request has been canceled.

Failed

The resource creation or deletion has failed.

StorageConnectorAuthType

The auth type supported for bucket connection in storage connector.

Value Description
ManagedIdentity

Managed Identity auth type

StorageConnectorConnectionType

The connection type for bucket connection in storage connector.

Value Description
DataShare

DataShare connection type

StorageConnectorDataSourceType

The type of the backing data source for storage connector

Value Description
Azure_DataShare

Azure DataShare data source type.

StorageConnectorProperties

The storage connector properties

Name Type Default value Description
creationTime

string

System-generated creation time of the Storage Connector in ISO 8601 date-time format (YYYY-MM-DDTHH:mm:ssZ). Not a valid input parameter during creating.

dataSourceType

StorageConnectorDataSourceType

The type of backing data source for this Storage Connector.

description

string

maxLength: 250

Arbitrary description of this Storage Connector. Max 250 characters.

provisioningState

NativeDataSharingProvisioningState

Represents the provisioning state of the storage connector.

source StorageConnectorSource:

DataShareSource

Information about how to communicate with and authenticate to the backing data store.

state

StorageConnectorState

Active

State - Active or Inactive. Whether or not the Storage Connector should start as active (default: Active) (While set to false on the Storage Connector, all data plane requests using this Storage Connector fail, and this Storage Connector is not billed if it would be otherwise.

testConnection

boolean

False

Test connection to backing data source before creating the storage connector.

uniqueId

string

System-generated GUID identifier for the Storage Connector. Not a valid input parameter when creating.

StorageConnectorPropertiesUpdate

The storage connector properties

Name Type Default value Description
description

string

maxLength: 250

Arbitrary description of this Storage Connector. Max 250 characters.

source StorageConnectorSourceUpdate:

DataShareSourceUpdate

Information about how to communicate with and authenticate to the backing data store.

state

StorageConnectorState

Active

State - Active or Inactive. Whether or not the Storage Connector should start as active (default: Active) (While set to false on the Storage Connector, all data plane requests using this Storage Connector fail, and this Storage Connector is not billed if it would be otherwise.

testConnection

boolean

False

Test connection to backing data source before creating the storage connector.

StorageConnectorSourceType

The type of the backing data source for storage connector

Value Description
DataShare

Source type - DataShare

StorageConnectorState

State - Active or Inactive. Whether or not the Storage Connector should start as active (default: Active) (While set to false on the Storage Connector, all data plane requests using this Storage Connector fail, and this Storage Connector is not billed if it would be otherwise.

Value Description
Active

Whether the connector is active

Inactive

Whether the connector is inactive

systemData

Metadata pertaining to creation and last modification of the resource.

Name Type Description
createdAt

string (date-time)

The timestamp of resource creation (UTC).

createdBy

string

The identity that created the resource.

createdByType

createdByType

The type of identity that created the resource.

lastModifiedAt

string (date-time)

The timestamp of resource last modification (UTC)

lastModifiedBy

string

The identity that last modified the resource.

lastModifiedByType

createdByType

The type of identity that last modified the resource.